Procedure SendSMS(Message: TMessage; PhoneNumber: TPhoneNumber);
Var
  SMSOutput: SMSOutput_Type; 
Begin
  SMSOutput.PhoneNo:= PhoneNumber;
  SMSOutput.Message:= Message;
  If not BufferFull(SMSGateway.SMS.SMSOutputBuffer) Then
  Begin
    SMSGateway.SMS.SMSOutputBuffer:= SMSOutput;  (* Element transfered to SMSOutputBuffer *)
    SendSMS_Flag := False; (* Global Flag *)  
  End;
End;  


Procedure ReceiveSMS();
Begin
  If not BufferEmpty(SMSGateway.SMS.SMSInputBuffer) Then 
  Begin
    ReceivedMessage:= SMSGateway.SMS.SMSInputBuffer;  (* Read SMSInputBuffer *)
  End;
End;


Procedure WDConfig();
Begin
  SMSGateway.Service.WriteEnable := True;
  SMSGateway.Service.WDPreset := -1.0;                                                   (* WD updated by DPI in Task PD664_Watchdog *) 
  SMSGateway.SMS.WatchdogSMSConfiguration.PhoneNo := WatchdogSMSConfiguration.PhoneNo;   (* Global var *)
  SMSGateway.SMS.WatchdogSMSConfiguration.WDText :=  WatchdogSMSConfiguration.WDText;    (* Global var *) 
  SMSGateway.SMS.WatchdogSMSConfiguration.WDEnable := WatchdogSMSConfiguration.WDEnable; (* Global var *)    
  SMSGateway.Service.WriteEnable := False;
End;
